package com.logicbig.example;

import org.springframework.beans.MutablePropertyValues;
import org.springframework.format.support.DefaultFormattingConversionService;
import org.springframework.validation.DataBinder;

import java.time.ZoneId;

public class ConversionServiceWithDataBinderExample {
    public static void main(String[] args) {

        MutablePropertyValues mpv = new MutablePropertyValues();
        mpv.add("dateAtTargetTimeZone", "Thu, 25 Aug 2016 08:59:00 GMT");

        DataBinder dataBinder = new DataBinder(new MyObject());
        DefaultFormattingConversionService service = new DefaultFormattingConversionService();
        service.addFormatter(new RFC1123LocalDateTimeFormatter(ZoneId.of("America/Chicago")));
        dataBinder.setConversionService(service);

        dataBinder.bind(mpv);
        dataBinder.getBindingResult()
                .getModel()
                .entrySet()
                .forEach(System.out::println);
    }
}